## Index

### Variables

- REGEX_TABLE_NAME

### Functions

- getTableName

## Variables

### Const REGEX_TABLE_NAME

REGEX_TABLE_NAME: RegExp = /^[a-zA-Z0-9_\-.]{3,255}$/

- Defined in dynamo/get-table-name.function.ts:9

## Functions

### getTableName

- getTableName(metaDataOrModelClazz: Metadata<any> | ModelConstructor<any>): string

- - Defined in dynamo/get-table-name.function.ts:11

  #### Parameters

  - ##### metaDataOrModelClazz: Metadata<any> | ModelConstructor<any>

  #### Returns string

Generated using TypeDoc